<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<!-- Generated by Apache Maven Doxia Site Renderer 1.3 at Nov 29, 2016 -->
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
  <head>
    <meta http-equiv="Content-Type" content="text/html; charset=${outputEncoding}" />
    <title>PMD Results</title>
    <style type="text/css" media="all">
      @import url("./css/maven-base.css");
      @import url("./css/maven-theme.css");
      @import url("./css/site.css");
    </style>
    <link rel="stylesheet" href="./css/print.css" type="text/css" media="print" />
    <meta name="Date-Revision-yyyymmdd" content="20161129" />
    <meta http-equiv="Content-Language" content="en" />
        
        </head>
  <body class="composite">
    <div id="banner">
                      <div class="clear">
        <hr/>
      </div>
    </div>
    <div id="breadcrumbs">
            
            
                <div class="xleft">
        <span id="publishDate">Last Published: 2016-11-29</span>
                  &nbsp;| <span id="projectVersion">Version: ${project.version}</span>
                      </div>
            <div class="xright">        
            
      </div>
      <div class="clear">
        <hr/>
      </div>
    </div>
    <div id="leftColumn">
      <div id="navcolumn">
             
            
                                      <a href="http://maven.apache.org/" title="Built by Maven" class="poweredBy">
        <img class="poweredBy" alt="Built by Maven" src="./images/logos/maven-feather.png" />
      </a>
                   
            
            </div>
    </div>
    <div id="bodyColumn">
      <div id="contentBox">
        <div class="section"><h2>PMD Results<a name="PMD_Results"></a></h2><p>The following document contains the results of <a class="externalLink" href="http://pmd.sourceforge.net/">PMD</a> 5.0.5.</p></div><div class="section"><h2>Files<a name="Files"></a></h2><div class="section"><h3>org/eclipse/papyrus/designer/deployment/tools/AllocUtils.java<a name="orgeclipsepapyrusdesignerdeploymenttoolsAllocUtils.java"></a></h3><table align="center" border="0" class="bodyTable"><tr class="a"><th>Violation</th><th>Line</th></tr><tr class="b"><td>Useless parentheses.</td><td><a href="./xref/org/eclipse/papyrus/designer/deployment/tools/AllocUtils.html#L315">315</a></td></tr><tr class="a"><td>Useless parentheses.</td><td><a href="./xref/org/eclipse/papyrus/designer/deployment/tools/AllocUtils.html#L315">315</a></td></tr></table></div><div class="section"><h3>org/eclipse/papyrus/designer/deployment/tools/DepCreation.java<a name="orgeclipsepapyrusdesignerdeploymenttoolsDepCreation.java"></a></h3><table align="center" border="0" class="bodyTable"><tr class="b"><th>Violation</th><th>Line</th></tr><tr class="a"><td>Avoid unused method parameters such as 'is'.</td><td><a href="./xref/org/eclipse/papyrus/designer/deployment/tools/DepCreation.html#L319">319</a></td></tr><tr class="b"><td>Avoid unused local variables such as 'eTrafo'.</td><td><a href="./xref/org/eclipse/papyrus/designer/deployment/tools/DepCreation.html#L328">328</a></td></tr><tr class="a"><td>Avoid using a branching statement as the last in a loop.</td><td><a href="./xref/org/eclipse/papyrus/designer/deployment/tools/DepCreation.html#L579">579</a></td></tr></table></div><div class="section"><h3>org/eclipse/papyrus/designer/deployment/tools/DepPlanUtils.java<a name="orgeclipsepapyrusdesignerdeploymenttoolsDepPlanUtils.java"></a></h3><table align="center" border="0" class="bodyTable"><tr class="b"><th>Violation</th><th>Line</th></tr><tr class="a"><td>Useless parentheses.</td><td><a href="./xref/org/eclipse/papyrus/designer/deployment/tools/DepPlanUtils.html#L354">354</a></td></tr></table></div><div class="section"><h3>org/eclipse/papyrus/designer/deployment/tools/DepUtils.java<a name="orgeclipsepapyrusdesignerdeploymenttoolsDepUtils.java"></a></h3><table align="center" border="0" class="bodyTable"><tr class="b"><th>Violation</th><th>Line</th></tr><tr class="a"><td>Avoid empty if statements</td><td><a href="./xref/org/eclipse/papyrus/designer/deployment/tools/DepUtils.html#L87">87</a>&#x2013;<a href="./xref/org/eclipse/papyrus/designer/deployment/tools/DepUtils.html#L92">92</a></td></tr><tr class="b"><td>These nested if statements could be combined</td><td><a href="./xref/org/eclipse/papyrus/designer/deployment/tools/DepUtils.html#L119">119</a>&#x2013;<a href="./xref/org/eclipse/papyrus/designer/deployment/tools/DepUtils.html#L121">121</a></td></tr><tr class="a"><td>Useless parentheses.</td><td><a href="./xref/org/eclipse/papyrus/designer/deployment/tools/DepUtils.html#L357">357</a></td></tr><tr class="b"><td>These nested if statements could be combined</td><td><a href="./xref/org/eclipse/papyrus/designer/deployment/tools/DepUtils.html#L397">397</a>&#x2013;<a href="./xref/org/eclipse/papyrus/designer/deployment/tools/DepUtils.html#L399">399</a></td></tr><tr class="a"><td>Useless parentheses.</td><td><a href="./xref/org/eclipse/papyrus/designer/deployment/tools/DepUtils.html#L467">467</a></td></tr><tr class="b"><td>Useless parentheses.</td><td><a href="./xref/org/eclipse/papyrus/designer/deployment/tools/DepUtils.html#L467">467</a></td></tr><tr class="a"><td>Useless parentheses.</td><td><a href="./xref/org/eclipse/papyrus/designer/deployment/tools/DepUtils.html#L567">567</a></td></tr><tr class="b"><td>Useless parentheses.</td><td><a href="./xref/org/eclipse/papyrus/designer/deployment/tools/DepUtils.html#L577">577</a></td></tr><tr class="a"><td>Useless parentheses.</td><td><a href="./xref/org/eclipse/papyrus/designer/deployment/tools/DepUtils.html#L580">580</a></td></tr></table></div><div class="section"><h3>org/eclipse/papyrus/designer/deployment/tools/ImplementationChooser.java<a name="orgeclipsepapyrusdesignerdeploymenttoolsImplementationChooser.java"></a></h3><table align="center" border="0" class="bodyTable"><tr class="b"><th>Violation</th><th>Line</th></tr><tr class="a"><td>Avoid modifiers which are implied by the context</td><td><a href="./xref/org/eclipse/papyrus/designer/deployment/tools/ImplementationChooser.html#L33">33</a></td></tr></table></div></div>
      </div>
    </div>
    <div class="clear">
      <hr/>
    </div>
    <div id="footer">
      <div class="xright">
              Copyright &#169;  All Rights Reserved.      
            
                  </div>
      <div class="clear">
        <hr/>
      </div>
    </div>
  </body>
</html>
